Profile
curl --request GET \
--url https://api.sociavault.com/v1/scrape/threads/profile \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/threads/profile"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/threads/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"pk": "63069450921",
"text_post_app_is_private": false,
"has_onboarded_to_text_post_app": true,
"friendship_status": null,
"profile_pic_url": "https://scontent-sea5-1.cdninstagram.com/v/t51.2885-19/358000025_988841669212235_3183384987691331022_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby40MDAuYzIifQ&_nc_ht=scontent-sea5-1.cdninstagram.com&_nc_cat=111&_nc_oc=Q6cZ2QERs84I86BjIhSNPXfgKFgEzTKnVJsd53V39UChLGv7F7L4yfAUTWX4FkXft5SiAEE&_nc_ohc=YN92uiZxHdsQ7kNvwGkdMIZ&_nc_gid=cLd4ZRDfOtl1lAuPq4i_fg&edm=APs17CUBAAAA&ccb=7-5&oh=00_AfuAWF_kqGzQvjkT0i_vbNtjoaKk2xUMQ3zYuYCNoBDLBw&oe=698F6E15&_nc_sid=10d13b",
"username": "trendspider",
"text_post_app_remove_mention_entrypoint": null,
"show_text_post_app_replies_tab": true,
"text_app_custom_feeds": null,
"gating": null,
"follower_count": 55029,
"profile_context_facepile_users": null,
"hd_profile_pic_versions": {
"0": {
"height": 320,
"url": "https://scontent-sea5-1.cdninstagram.com/v/t51.2885-19/358000025_988841669212235_3183384987691331022_n.jpg?stp=dst-jpg_s320x320_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby40MDAuYzIifQ&_nc_ht=scontent-sea5-1.cdninstagram.com&_nc_cat=111&_nc_oc=Q6cZ2QERs84I86BjIhSNPXfgKFgEzTKnVJsd53V39UChLGv7F7L4yfAUTWX4FkXft5SiAEE&_nc_ohc=YN92uiZxHdsQ7kNvwGkdMIZ&_nc_gid=cLd4ZRDfOtl1lAuPq4i_fg&edm=APs17CUBAAAA&ccb=7-5&oh=00_Afs3gmXDorOpeT-wG1Y_ZEC1xVVPG4q6521OoracsBxiuA&oe=698F6E15&_nc_sid=10d13b",
"width": 320
},
"1": {
"height": 640,
"url": "https://scontent-sea5-1.cdninstagram.com/v/t51.2885-19/358000025_988841669212235_3183384987691331022_n.jpg?efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby40MDAuYzIifQ&_nc_ht=scontent-sea5-1.cdninstagram.com&_nc_cat=111&_nc_oc=Q6cZ2QERs84I86BjIhSNPXfgKFgEzTKnVJsd53V39UChLGv7F7L4yfAUTWX4FkXft5SiAEE&_nc_ohc=YN92uiZxHdsQ7kNvwGkdMIZ&_nc_gid=cLd4ZRDfOtl1lAuPq4i_fg&edm=APs17CUBAAAA&ccb=7-5&oh=00_AftDxhNKUL15J5aUdsNrCci1h1spsbLbzezHXLbhZBcMZA&oe=698F6E15&_nc_sid=10d13b",
"width": 640
}
},
"is_verified": false,
"biography": "Award-Winning 🏆 All-in-One Trading Platform.\nCharts, scans, backtests, alerts, AI tools, data & more.",
"text_app_biography": {
"text_fragments": {
"fragments": {
"0": {
"fragment_type": "plaintext",
"link_fragment": null,
"mention_fragment": null,
"plaintext": "Award-Winning 🏆 All-in-One Trading Platform.\nCharts, scans, backtests, alerts, AI tools, data & more.",
"linkified_web_url": null,
"linkified_in_app_url": null,
"styling_info": null
}
}
}
},
"full_name": "TrendSpider",
"bio_links": {
"0": {
"url": "http://trendspider.com/",
"lynx_url": "https://l.threads.com/?u=http%3A%2F%2Ftrendspider.com%2F&e=AT3k1FzUEPV5Z0H1a8vP0bkeussLYF6PFS4gvZY3bW-UKS3Yokwh5gIjYNLSfbzeoXwcxVa4QhcsNB6rhZlQjzaDDCIXL7UI",
"link_id": "18254716222286461",
"title": "",
"is_verified": false
}
},
"profile_tags": {
"edges": {}
},
"transparency_label": null,
"show_text_post_app_badge": true,
"platform_podcast_info": null,
"platform_podcast_episode_info": null,
"id": "63069450921"
},
"credits_used": 1,
"endpoint": "profile"
}{
"error": "Missing required parameter: handle",
"endpoint": "<string>",
"credits_required": 123
}{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}{
"error": "Insufficient credits",
"required": 1,
"available": 0
}{
"error": "Service configuration error"
}Threads
Profile
Get Threads profile info
GET
/
v1
/
scrape
/
threads
/
profile
Profile
💳 1 credit per request
Authorizations
Query Parameters
Threads username
Example:
"trendspider"
Response
Successful response
Key Response Fields:
data.pk: Unique user IDdata.username: Threads handledata.full_name: Display namedata.biography: Profile bio textdata.follower_count: Total follower countdata.is_verified: Verification statusdata.profile_pic_url: Profile picture URLdata.bio_links: External links listed in bio
⌘I